#include "SBlogPreCompile.h" //WImage

#include "ArticleDigestWidget.h" //ArticleDigestWidget
#include "SbDbItem.h" //SbDbItem

/*!
 * \brief ActiveTicketListWidget::ActiveTicketListWidget Constructor.
 * \param Ssn2Use The wt dbo session to use.
 */
ArticleDigestWidget::ArticleDigestWidget()
{

    WrnngLbl=new WAnchor(); //警告文字。
    WrnngLbl->setStyleClass ("digestArticleTitle"); //Set the style class.

    ttlCntr=new WContainerWidget; //Create the title container.
    addWidget (ttlCntr); //Show the title container.
    ttlCntr->addWidget(WrnngLbl); //显示Title。


    WContainerWidget * thmDgstCntCntr=new WContainerWidget; //Create the thumb digest continue reading container.
    addWidget (thmDgstCntCntr); //Add the container.
} //ArticleDigestWidget::ArticleDigestWidget()

/*!
 * \brief ArticleDigestWidget::setArticleId 设置文章的编号。
 * \param atclId 要设置的文章编号。
 */
void ArticleDigestWidget::setArticleId(int atclId)
{
    (void)(atclId); //不使用这个变量。

    WrnngLbl->setText (WString::tr("Click this link to load a text conent which contains MathML")); //显示标题。

    string itnlPth="/article/0/0"; //构造内部路径。

    boost::shared_ptr<WLink> atclLnkPtr( new WLink(WLink::InternalPath,itnlPth) ); //创建链接。

    WrnngLbl->setLink ( *( atclLnkPtr.get ()) ); //设置链接。





    return;
} //void ArticleDigestWidget::setArticleId(int atclId)
