QT       += core
QT       += gui

TARGET = mathjaxproblem
CONFIG   += console
CONFIG  +=no_keywords
CONFIG   -= app_bundle

TEMPLATE = app

SOURCES += main.cpp \
    ArticleListWidget.cpp \
    ArticleDigestWidget.cpp \
    SBlog.cpp \
    ArticleWidget.cpp \
    SBlogApplication.cpp \
    ArticleListTabWidget.cpp

HEADERS += \
    ArticleListWidget.h \
    ArticleDigestWidget.h \
    SBlog.h \
    SBlogPreCompile.h \
    ArticleWidget.h \
    SBlogApplication.h \
    ArticleListTabWidget.h

CONFIG+=precompile_header
PRECOMPILED_HEADER+=SBlogPreCompile.h

unix: LIBS += -L$$PWD/../../../../../usr/lib/ -lwt

INCLUDEPATH += $$PWD/../../../../../usr/include
DEPENDPATH += $$PWD/../../../../../usr/include

LIBS += -L/usr/lib/ -lwthttp

unix: LIBS += -L$$PWD/../../../../../../../usr/lib/ -lboost_signals
unix: LIBS += -L$$PWD/../../../../../../../usr/lib/ -lboost_filesystem

unix: LIBS += -L$$PWD/../../../../usr/lib/ -lwtdbo
unix: LIBS += -L$$PWD/../../../../usr/lib/ -lwthttp

OTHER_FILES +=

INCLUDEPATH += $$PWD/../SbDatabaseAccess
DEPENDPATH += $$PWD/../SbDatabaseAccess

unix: LIBS += -lsbdatabaseaccess
unix:!macx: LIBS += -L$$PWD/../../../../usr/lib/ -lwtdbopostgres

INCLUDEPATH += $$PWD/../../../../usr/include
DEPENDPATH += $$PWD/../../../../usr/include

unix:!macx: LIBS += -L$$PWD/../../../../../lib64/ -lboost_system

#CONFIG +=  c++11

#QMAKE_CXXFLAGS+= -std=c++11
