#ifndef ARTICLE_DIGEST_WIDGET_H
#define ARTICLE_DIGEST_WIDGET_H

#include <Wt/Dbo/backend/Sqlite3> //Sqlite3
#include <Wt/Dbo/Session> //Session
#include <Wt/WContainerWidget> //WContainerWidget

namespace dbo=Wt::Dbo; //dbo命名空间别名。
using namespace Wt; //WContainerWidget

#include "SbDbItem.h" //SbDbItem

/*!
 * \brief The ArticleDigestWidget class Represents an article digest.
 */
class ArticleDigestWidget : public WContainerWidget
{
public:
    void setArticleId(int atclId); //!<设置文章的编号。
    ArticleDigestWidget(); //!<Constructor.

private:
    WContainerWidget * ttlCntr; //!<The title container.
    WAnchor * WrnngLbl; //!<The article title label.
}; //class ArticleDigestWidget : public WContainerWidget

#endif // FINANCEFLOWLISTWIDGET_H
